Piloterr

LinkedIn Post Info

Simplify LinkedIn post retrieval with our efficient API for enhanced content analysis.

Credit cost: 1 credit per call

GET
/v2/linkedin/post/info

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

The LinkedIn post to retrieve. Accepts a numeric post ID or a full post URL.

Accepted formats:

  • 7027826235833520128 — LinkedIn numeric post ID
  • https://www.linkedin.com/posts/tanyalindsay_...-activity-7027826235833520128-m0GW — full post URL

Example:

https://www.linkedin.com/posts/tanyalindsay_we-have-been-building-a-web3-gaming-platform-activity-7027826235833520128-m0GW

Notes:

  • Deleted posts: Returns a not-found error if the post has been removed.
  • Comments: Up to the first batch of comments are returned. Deep comment threads may be truncated.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/linkedin/post/info?query=string"
{
  "id": "7027826235833520128",
  "url": "https://www.linkedin.com/posts/tanyalindsay_we-have-been-building-a-web3-gaming-platform-activity-7027826235833520128-m0GW",
  "text": "We have been building a web3 gaming platform based on entertainment and not on ponzi or the p2e narrative...",
  "author": {
    "url": "https://ca.linkedin.com/in/tanyalindsay",
    "full_name": "Tanya Lindsay",
    "image_url": null,
    "profile_type": "person"
  },
  "comments": [
    {
      "text": "These stats are too funny. The web3 investors need to learn that whilst youth audiences have ideals and morals but these get easily lost when it comes down to having fun.",
      "author": {
        "url": "https://uk.linkedin.com/in/ian-manson-83926827",
        "headline": "Virtual Reality SPECIALIST| VR/AR/MR/360/XR | CEO Omnilux VR",
        "full_name": "Ian Manson",
        "image_url": null,
        "profile_type": "person"
      }
    }
  ],
  "hashtags": [],
  "image_url": "https://media.licdn.com/dms/image/v2/C4E22AQGXHY67ydHRgQ/feedshare-shrink_2048_1536/feedshare-shrink_2048_1536/0/1675462056613",
  "images": [
    "https://media.licdn.com/dms/image/v2/C4E22AQGXHY67ydHRgQ/feedshare-shrink_2048_1536/feedshare-shrink_2048_1536/0/1675462056613"
  ],
  "like_count": 5,
  "shared_post": {
    "id": "7027397210061328384",
    "link": null,
    "text": "Web 3 Gaming has a serious problem...",
    "image": null,
    "title": null
  },
  "shared_video": null,
  "shared_link": null,
  "comments_count": 2,
  "date_published": "2023-02-05T02:32:25.297Z",
  "total_engagement": 7,
  "mentioned_profiles": []
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}